Name		: firefox
Version		: 38.5.0esr
Release		: 1%{?dist}

License		: MPL/LGPL
Summary		: Mozilla Firefox Web browser.
Group		: Applications/Internet

URL		: http://www.mozilla.org/products/firefox/
Vendor		: The Mozilla Organization
Packager	: René Vermare <rene@vermare.nl>

BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Source0		: firefox-%{version}.tar.bz2
Source1		: mozilla-firefox.desktop
Source2         : firefox-icons-%{version}.tar.bz2
Source3		: firefox.1.gz
Source4		: firefox

AutoReq     	: No
AutoProv	: No

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

%prep
rm -rf %{buildroot}

#######################################################################
# setup macro
# -a num  : Only unpack source number after changing to the directory
# -b num  : Only unpack source number before changing to the directory
# -c      : Create directory before unpacking.
# -D      : Do not delete the directory before unpacking
# -n name : Name the directory as name
# -q      : Run quiety with minimum output
# -T      : Disable the automatic unpacking of the archives.
#######################################################################
%setup -c -q firefox

sed -i '4s/.*./Name=Firefox\ %{version}/' %{SOURCE1}
sed -i 's/esr/ ESR/' %{SOURCE1}

#########################################################
# Common Red Hat RPM macros (rpm --showrc for more info)
# {_sourcedir} : /usr/src/redhat/SOURCES
# {_builddir}  : /usr/src/redhat/BUILD
# {_tmppath}   : /var/tmp
# {_libdir}    : /usr/lib(64)
# {_bindir}    : /usr/bin
# {_datadir}   : /usr/share
# {_mandir}    : /usr/share/man
# {_docdir}    : /usr/share/doc
# {buildroot}
# {name}
# {version}
# {release}
#########################################################

%install
%{__install} -d -m 755 %{buildroot}%{_libdir}
cp -a firefox %{buildroot}%{_libdir}
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/mozilla-firefox.desktop
%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/firefox.1.gz
%{__install} -D -m 755 %{SOURCE4} %{buildroot}%{_bindir}/firefox
# Extract icons-tar.
cd %{buildroot}
%{__tar} xf %{SOURCE2}

%clean
rm -rf %{buildroot}

%post

%files 
#####################################################
# defattr sets the default attributes for all files
#####################################################
%defattr(-, root, root)
%{_libdir}/firefox
%{_datadir}/applications/mozilla-firefox.desktop
%{_mandir}/man1/firefox.1.gz
%{_bindir}/firefox
%{_datadir}/icons/hicolor/16x16/apps/firefox.png
%{_datadir}/icons/hicolor/48x48/apps/firefox.png
%{_datadir}/icons/hicolor/22x22/apps/firefox.png
%{_datadir}/icons/hicolor/24x24/apps/firefox.png
%{_datadir}/icons/hicolor/256x256/apps/firefox.png
%{_datadir}/icons/hicolor/32x32/apps/firefox.png

%changelog
* Tue Dec 15 2015 René Vermare <rene@vermare.nl> 38.5.0esr-1
- Build from latest esr version (38.5.0esr)

* Wed Oct  4 2015 René Vermare <rene@vermare.nl> 38.4.0esr-1
- Build from latest esr version (38.4.0esr)

* Tue Sep 22 2015 René Vermare <rene@vermare.nl> 38.3.0esr-1
- Build from latest esr version (38.3.0esr)

* Thu Aug 27 2015 René Vermare <rene@vermare.nl> 38.2.1esr-1
- Build from latest esr version (38.2.1esr)

* Tue Aug 11 2015 René Vermare <rene@vermare.nl> 38.2.0esr-1
- Build from latest esr version (38.2.0esr)

* Fri Aug  6 2015 René Vermare <rene@vermare.nl> 38.1.1esr-1
- Build from latest esr version (38.1.1esr)

* Fri Jun  3 2015 René Vermare <rene@vermare.nl> 38.1.0esr-1
- Build from latest esr version (38.1.0esr)

* Fri May 15 2015 René Vermare <rene@vermare.nl> 38.0.1esr-1
- Build from latest esr version (38.0.1esr)
- Auto update version number in mozilla-firefox.desktop

* Thu May 14 2015 René Vermare <rene@vermare.nl> 38.0esr-1
- Build from latest esr version (38.0esr)

* Tue Mar 31 2015 René Vermare <rene@vermare.nl> 31.6.0esr-1
- Build from latest esr version (31.6.0esr)

* Sat Mar 21 2015 René Vermare <rene@vermare.nl> 31.5.3esr-1
- Build from latest esr version (31.5.3esr)

* Tue Feb 24 2015 René Vermare <rene@vermare.nl> 31.5.0esr-1
- Build from latest esr version (31.5.0esr)

* Wed Jan 14 2015 René Vermare <rene@vermare.nl> 31.4.0esr-1
- Build from latest esr version (31.4.0esr)

* Tue Dec 2 2014 René Vermare <rene@vermare.nl> 31.3.0esr-1
- Build from latest esr version (31.3.0esr)

* Wed Oct 15 2014 René Vermare <rene@vermare.nl> 31.2.0esr-1
- Build from latest esr version (31.2.0esr)

* Fri Dec 19 2008 René Vermare <rene@vermare.nl> 2.0.0.20
- Last official build 2.0.0.20

* Wed Dec 17 2008 René Vermare <rene@vermare.nl> 2.0.0.19
- Official build 2.0.0.19

* Thu Nov 13 2008 René Vermare <rene@vermare.nl> 2.0.0.18
- Official build 2.0.0.18
                                                                                
* Wed Sep 24 2008 René Vermare <rene@vermare.nl> 2.0.0.17
- Official build 2.0.0.17

* Wed Jul 16 2008 René Vermare <rene@vermare.nl> 2.0.0.16
- Official build 2.0.0.16

* Wed Jul 2 2008 René Vermare <rene@vermare.nl> 2.0.0.15
- Official build 2.0.0.15

* Thu Apr 17 2008 René Vermare <rene@vermare.nl> 2.0.0.14
- Official build 2.0.0.14

* Wed Mar 26 2008 René Vermare <rene@vermare.nl> 2.0.0.13
- Official build 2.0.0.13

* Fri Feb 8 2008 René Vermare <rene@vermare.nl> 2.0.0.12
- Official build 2.0.0.12

* Sat Dec 1 2007 René Vermare <rene@vermare.nl> 2.0.0.11
- Official build 2.0.0.11

* Tue Nov 27 2007 René Vermare <rene@vermare.nl> 2.0.0.10
- Official build 2.0.0.10

* Fri Nov 2 2007 René Vermare <rene@vermare.nl> 2.0.0.9
- Official build 2.0.0.9

* Fri Oct 19 2007 René Vermare <rene@vermare.nl> 2.0.0.8
- Official build 2.0.0.8

* Thu Sep 19 2007 René Vermare <rene@vermare.nl> 2.0.0.7
- Official build 2.0.0.7

* Wed Aug 1 2007 René Vermare <rene@vermare.nl> 2.0.0.6
- Official build 2.0.0.6

* Thu Jul 19 2007 René Vermare <rene@vermare.nl> 2.0.0.5
- Official build 2.0.0.5

* Thu May 31 2007 René Vermare <rene@vermare.nl> 2.0.0.4
- Official build 2.0.0.4

* Thu Mar 22 2007 René Vermare <rene@vermare.nl> 2.0.0.3
- Official build 2.0.0.3

* Sat Feb 24 2007 René Vermare <rene@vermare.nl> 2.0.0.2
- Official build 2.0.0.2

* Tue Dec 19 2006 René Vermare <rene@vermare.nl> 2.0.0.1
- Official build 2.0.0.1

* Tue Oct 24 2006 René Vermare <rene@vermare.nl> 2.0
- Official build 2.0

* Fri Sep 15 2006 René Vermare <rene@vermare.nl> 1.5.0.7
- Official build 1.5.0.7

* Thu Aug 3 2006 René Vermare <rene@vermare.nl> 1.5.0.6
- Official build 1.5.0.6

* Thu Jul 27 2006 René Vermare <rene@vermare.nl> 1.5.0.5
- Official build 1.5.0.5

* Fri Jun 2 2006 René Vermare <rene@vermare.nl> 1.5.0.4
- Official build 1.5.0.4

* Thu May 4 2006 René Vermare <rene@vermare.nl> 1.5.0.3
- Official build 1.5.0.3

* Sat Apr 15 2006 René Vermare <rene@vermare.nl> 1.5.0.2
- Official build 1.5.0.2

* Thu Feb 2 2006 René Vermare <rene@vermare.nl> 1.5.0.1
- Official build 1.5.0.1

* Wed Nov 30 2005 René Vermare <rene@vermare.nl> 1.5
- Official build 1.5

* Wed May 11 2005 Thomas Chung <tchung@fedoranews.org> 1.0.4
- Official build 1.0.4

* Mon May 09 2005 Thomas Chung <tchung@fedoranews.org> 1.0.4-20050509
- Nightly build 1.0.4-20050509
- Remove firefox plugins and link to mozilla plugins in %post

* Mon Apr 18 2005 Thomas Chung <tchung@fedoranews.org> 1.0.3
- Version 1.0.3

* Wed Mar 23 2005 Thomas Chung <tchung@fedoranews.org> 1.0.2
- Version 1.0.2

* Thu Feb 24 2005 Thomas Chung <tchung@fedoranews.org> 1.0.1
- Version 1.0.1
- Disable Epoch

* Tue Nov 09 2004 Thomas Chung <tchung@fedoranews.org> 2:1.0
- Version 1.0 Final
- Increased Epoch number to handle upgrading lower version

* Thu Nov 04 2004 Thomas Chung <tchung@fedoranews.org> 1:1.0rc2
- Rebuild for 1.0 Release Candidate 2

* Wed Oct 27 2004 Thomas Chung <tchung@fedoranews.org> 1:1.0rc1
- Rebuild for 1.0 Release Candidate 1

* Fri Oct 08 2004 Thomas Chung <tchung@fedoranews.org> 1:0.10.1
- Rebuild for 1.0 Preview Release Update 1
- Renumber version to 0.10.1
- Use Epoch to handle upgrading lower version
- Use %{__install} tag

* Tue Sep 14 2004 Thomas Chung <tchung@fedoranews.org> 1.0PR
- Rebuild for 1.0 Preview Release

* Fri Aug 06 2004 Thomas Chung <tchung@fedoranews.org> 0.9.3
- Initial RPM Build
